<?xml version="1.0" encoding="UTF-8"?>
<out:stylesheet exclude-result-prefixes="fm" version="1.0" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:out="http://www.w3.org/1999/XSL/Transform">
<!--Some information has been retained from the existing file!-->
	<out:output encoding="UTF-8" indent="yes" method="xml" />
	<out:template name="section_title">SearchResults</out:template>
	<out:template name="page_meta_tags">
<!--Insert any required page specific meta tags in here-->
	</out:template>
	<out:template match="/">
		<div class="subsection_container" id="subsection_SearchResults" xmlns="">
			<out:call-template name="section_body" />
		</div>
	</out:template>
	<out:template name="css_imports">
		<link href="css/demo.css" rel="stylesheet" type="text/css" xmlns="" />
		<link href="css/pagingtable.css" rel="stylesheet" type="text/css" xmlns="" />
	</out:template>
	<out:template name="page_scripts">
		<script src="js/jquery.min.js" type="text/javascript" xmlns=""></script>
		<script src="js/jquery.tablesorter.min.js" type="text/javascript" xmlns=""></script>
		<script src="js/jquery.tablesorter.pager.js" type="text/javascript" xmlns=""></script>
		<script src="js/pagingtable.js" type="text/javascript" xmlns=""></script>
	</out:template>
	<out:template name="section_body">
<xform:xform xmlns:xform="http://www.w3.org/2001/08/xforms" xmlns="" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:demo="http://www.hyfinity.com/schemas/tutorial" xmlns:mvc="http://www.hyfinity.com/mvc" >		<xform:instance id="deleteContact" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<ContactSummary_repeat />
						<selectedContact />
					</formData>
					<DeleteContactRequest Successful="" Version="" xmlns="http://www.hyfinity.com/schemas/tutorial">
						<Contact>
							<ContactId />
						</Contact>
					</DeleteContactRequest>
				</Data>
			</eForm>
		</xform:instance>
		<xform:instance id="viewContact" xmlns:xform="http://www.w3.org/2001/08/xforms">
			<eForm xmlns="http://www.hyfinity.com/mvc" xmlns:mvc="http://www.hyfinity.com/mvc">
				<Control>
					<Page />
					<Controller />
				</Control>
				<Data>
					<formData>
						<selectedContact />
					</formData>
					<GetContactRequest Successful="" Version="" xmlns="http://www.hyfinity.com/schemas/tutorial">
						<Contact>
							<ContactId />
						</Contact>
					</GetContactRequest>
				</Data>
			</eForm>
		</xform:instance>
		<div xmlns="">
			<div class="pagingTableContainer corners vertical" id="PagingTable_container">
				<div class="pagingTableLabelBackground" id="PagingTable_container_label_container">
					<h2 class="label" id="PagingTable_container_label">Matching Contacts</h2>
				</div>
				<table border="0" cellpadding="0" cellspacing="0" class="repeat" id="ContactSummary_repeat" summary="">
					<thead>
						<tr id="ContactSummary_group_headings">
							<th class="labelBackground" id="ContactId_label_container" scope="col">
								<span class="label" id="ContactId_label">Contact Id</span>
							</th>
							<th class="labelBackground" id="Title_label_container" scope="col">
								<span class="label" id="Title_label">Title</span>
							</th>
							<th class="labelBackground" id="Forename_label_container" scope="col">
								<span class="label" id="Forename_label">Forename</span>
							</th>
							<th class="labelBackground" id="Surname_label_container" scope="col">
								<span class="label" id="Surname_label">Surname</span>
							</th>
							<th class="labelBackground" id="TelephoneNumber_label_container" scope="col">
								<span class="label" id="TelephoneNumber_label">Telephone Number</span>
							</th>
							<th class="labelBackground" id="EmailAddress_label_container" scope="col">
								<span class="label" id="EmailAddress_label">Email Address</span>
							</th>
							<th class="labelBackground" id="MoreNumbers_label_container" scope="col">
								<span class="label" id="MoreNumbers_label">More Numbers</span>
							</th>
							<th class="labelBackground" id="deleteBtn_label_container" scope="col">
								<span class="label" id="deleteBtn_label">
								</span>
							</th>
						</tr>
					</thead>
					<tbody id="ContactSummary_repeat_body">
						<out:for-each select="/mvc:eForm/mvc:Data/demo:ListContactsResponse/demo:ContactSummary">
							<out:variable name="ContactSummary_repeatLoopEntry" select="." />
							<out:variable name="ContactSummary_repeatLoopCount">
								<out:text>ContactSummary_repeat</out:text>
								<out:value-of select="position()" />
							</out:variable>
							<out:variable name="ContactSummary_repeat-repeat-position-number">
								<out:value-of select="position()" />
							</out:variable>
							<tr class="table" id="{$ContactSummary_repeatLoopCount}ContactSummary_group">
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}ContactId_container">
									<input id="{$ContactSummary_repeatLoopCount}ContactId_submit_button" name="xgate_action_viewContact" type="submit" value="View" />
									<span id="{$ContactSummary_repeatLoopCount}ContactId_temp_container" style="display:none; visibility:hidden;">
										<a class="hyperlink" href="javascript: ContactIdhref(null, '{$ContactSummary_repeatLoopCount}');" id="{$ContactSummary_repeatLoopCount}ContactId" name="{$ContactSummary_repeatLoopCount}ContactId" title="View and update contact details">
											<span>
												<span>
													<out:choose>
														<out:when test="not(demo:ContactId) or (demo:ContactId = '')">
															<out:text disable-output-escaping="yes">&amp;#160;</out:text>
														</out:when>
														<out:otherwise>
															<out:value-of select="demo:ContactId" />
														</out:otherwise>
													</out:choose>
												</span>
											</span>
										</a>
									</span>
									<script type="text/javascript">
										<out:text disable-output-escaping="yes">document.getElementById('</out:text>
										<out:value-of select="$ContactSummary_repeatLoopCount" />
										<out:text disable-output-escaping="yes">ContactId_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
										<out:value-of select="$ContactSummary_repeatLoopCount" />
										<out:text disable-output-escaping="yes">ContactId_temp_container').innerHTML;</out:text>
									</script>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}Title_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}Title">
										<out:choose>
											<out:when test="not(demo:Title) or (demo:Title = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:Title" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}Forename_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}Forename">
										<out:choose>
											<out:when test="not(demo:Forename) or (demo:Forename = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:Forename" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}Surname_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}Surname">
										<out:choose>
											<out:when test="not(demo:Surname) or (demo:Surname = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:Surname" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}TelephoneNumber_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}TelephoneNumber">
										<out:choose>
											<out:when test="not(demo:TelephoneNumber) or (demo:TelephoneNumber = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:TelephoneNumber" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}EmailAddress_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}EmailAddress">
										<out:choose>
											<out:when test="not(demo:EmailAddress) or (demo:EmailAddress = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:EmailAddress" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}MoreNumbers_container">
									<span class="textbox" id="{$ContactSummary_repeatLoopCount}MoreNumbers">
										<out:choose>
											<out:when test="not(demo:MoreNumbers) or (demo:MoreNumbers = '')">
												<out:text disable-output-escaping="yes">&amp;#160;</out:text>
											</out:when>
											<out:otherwise>
												<out:value-of select="demo:MoreNumbers" />
											</out:otherwise>
										</out:choose>
									</span>
								</td>
								<td class="defaultBackground" id="{$ContactSummary_repeatLoopCount}deleteBtn_container">
									<input id="{$ContactSummary_repeatLoopCount}deleteBtn_submit_button" name="xgate_action_deleteContact" type="submit" value="Delete" />
									<span id="{$ContactSummary_repeatLoopCount}deleteBtn_temp_container" style="display:none; visibility:hidden;">
										<input class="button" id="{$ContactSummary_repeatLoopCount}deleteBtn" name="{$ContactSummary_repeatLoopCount}deleteBtn" onclick="return deleteBtnonclick(event, '{$ContactSummary_repeatLoopCount}');" type="button" value="Delete" />
									</span>
									<script type="text/javascript">
										<out:text disable-output-escaping="yes">document.getElementById('</out:text>
										<out:value-of select="$ContactSummary_repeatLoopCount" />
										<out:text disable-output-escaping="yes">deleteBtn_submit_button').parentNode.innerHTML=document.getElementById('</out:text>
										<out:value-of select="$ContactSummary_repeatLoopCount" />
										<out:text disable-output-escaping="yes">deleteBtn_temp_container').innerHTML;</out:text>
									</script>
									<span id="{$ContactSummary_repeatLoopCount}deleteBtn_message_container"></span>
								</td>
							</tr>
						</out:for-each>
						<out:if test="not(/mvc:eForm/mvc:Data/demo:ListContactsResponse/demo:ContactSummary)">
							<tr>
								<td class="noRepeatData" colspan="8" id="ContactSummary_repeat_empty">No Data Found</td>
							</tr>
						</out:if>
					</tbody>
				</table>
				<script type="text/javascript">
hyf.pagingtable.init(hyf.pagingtable.getLastTableOutput(), {enablePaging:true, pageSize:null, stripeRows:true});

				</script>
			</div>
			<div class="formElement">
				<span class="hide" id="selectedContact_container">
					<input class="hide" id="selectedContact" name="selectedContact" type="hidden" value="{/mvc:eForm/mvc:Data/mvc:formData/mvc:selectedContact}" />
					<input name="xgf_selectedContact_xpath_xga_deleteContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:DeleteContactRequest/demo:Contact/demo:ContactId" />
					<input name="xgf_selectedContact_xpath_xga_viewContact" type="hidden" value="/mvc:eForm/mvc:Data/demo:GetContactRequest/demo:Contact/demo:ContactId" />
					<input name="xgf_selectedContact_xpath_xga_searchContacts_xga_newContact" type="hidden" value="/mvc:eForm/mvc:Data/mvc:formData/mvc:selectedContact" />
				</span>
			</div>
		</div>
</xform:xform>		<script type="text/javascript" xmlns="">
<xsl:for-each select="." xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fm="http://www.hyfinity.com/formmaker" xmlns:demo="http://www.hyfinity.com/schemas/tutorial" xmlns:mvc="http://www.hyfinity.com/mvc"><xsl:text disable-output-escaping="yes" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
            function ContactIdhref(e, repeatId)
            {
                var objEventSource = {name: 'EventSource', option: 'field', value: 'ContactId', repeatId: repeatId, field: document.getElementById(repeatId + 'ContactId')};

                return dojo.hitch(objEventSource.field, function(){
                        var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'selectedContact'};
                        var objValueToAssign = {name: 'ValueToAssign', option: 'PageField', value: 'ContactId', repeatId: repeatId};
                        hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                        var objAction = {name: 'Action', option: 'Action', value: 'viewContact'};
                        var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                        hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            
            function deleteBtnonclick(e, repeatId)
            {
                var evt = (window.event) ? window.event : e;
                var sourceComponent = null;
                if ((evt != null) &amp;&amp; (typeof(evt) != 'undefined'))
                {
                    sourceComponent = (evt.target) ? evt.target : evt.srcElement;
                    if (sourceComponent.nodeType == 3) // defeat Safari bug
                        sourceComponent = sourceComponent.parentNode;
                }
                var objEventSource = {name: 'EventSource', option: 'field', event: evt, component: sourceComponent, value: 'deleteBtn', repeatId: repeatId, field: document.getElementById(repeatId + 'deleteBtn')};

                return dojo.hitch(objEventSource.field, function(){
                        if (!confirm('Are you sure you wish to delete ' + dojo.byId(objEventSource.repeatId + 'Forename').innerHTML + ' ' + dojo.byId(objEventSource.repeatId + 'Surname').innerHTML + '?'))
return;
                        var objTargetToSet = {name: 'TargetToSet', option: 'PageField', value: 'selectedContact'};
                        var objValueToAssign = {name: 'ValueToAssign', option: 'PageField', value: 'ContactId', repeatId: repeatId};
                        hyf.FMAction.handleSetValue(objTargetToSet, objValueToAssign, objEventSource);
                        var objAction = {name: 'Action', option: 'Action', value: 'deleteContact'};
                        var objValidate = {name: 'Validate', option: 'Static', value: 'false'};
                        hyf.FMAction.handleFormSubmission(objAction, objValidate, objEventSource);
                    })();
            }
            </xsl:text>			<out:for-each select="/mvc:eForm/mvc:Data/demo:ListContactsResponse/demo:ContactSummary">
				<out:variable name="ContactSummary_repeatLoopEntry" select="." />
				<out:variable name="ContactSummary_repeatLoopCount">
					<out:text>ContactSummary_repeat</out:text>
					<out:value-of select="position()" />
				</out:variable>
			</out:for-each>
			<out:text>
            field = document.getElementById('</out:text>
			<out:text>selectedContact</out:text>
			<out:text>');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_required','false');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_type','string');</out:text>
			<out:text disable-output-escaping="yes">field.setAttribute('_validate', 'false');</out:text>
</xsl:for-each>		</script>
	</out:template>
</out:stylesheet>
